import javax.swing.*;

import java.awt.*;

public class StripeRenderer extends DefaultListCellRenderer {
  public Component getListCellRendererComponent(JList list,
      Object value, int index, boolean isSelected, boolean cellHasFocus) {
      JLabel label = (JLabel) super.getListCellRendererComponent(
          list,
          value,
          index,
          isSelected,
          cellHasFocus
          );
   
    
      if(index%2 == 0) {
          if(! list.isSelectedIndex(index))
          {
              label.setBackground(new Color(240,247,248));
          }
          else
          {
              label.setBackground(new Color(229,240,239)); 
              setBackground(new Color(206,218,227));
              setBorder(BorderFactory.createMatteBorder(0,0,1,0,new Color(206,218,227)));
          } // end-if
      }
      setBorder(BorderFactory.createMatteBorder(0,0,1,0,new Color(240,247,248)));//top-left-bottom-right
     
      return label;
  }
} // end-class